mail::account::getFolderIndexSize
Prev | mail::account Native API reference | Next

## Name

mail::account::getFolderIndexSize — Return number of messages in the current folder

## Synopsis

#include <libmail/mail.H>
mail::account *account;

`size_t count=account->getFolderIndexSize(` | `void)`; |

## USAGE

`mail::account::getFolderIndexSize` returns the number of messages in the currently open folder. Messages in the folder are numbered starting with zero, and ending with one less than the number returned by this function.

For example, if `mail::account::getFolderIndexSize` returns 5 it means that there are five messages in the folder, numbered 0 through 4.

## Return Codes

This function always succeeds, returning the message count.

## SEE ALSO

mail::account::readMessageAttributes(3x), mail::account::getFolderIndexInfo(3x).

Prev | Up | Next
mail::account::getFolderIndexInfo | Home | ToC | mail::account::getFolderKeywordInfo